import Apis from '../../../api'

/**
 *
 * @param {*} param0
 */
export async function loadData ({ apis }) {
  const classifyApis = apisClassify(apis)
  // console.log('classifyApis: ', apis, classifyApis)
  const dataMap = new Map()
  const dataJson = {}
  for (const key in classifyApis) {
    const _apis = classifyApis[key]
    const datas = await asyncData(_apis)
    if (!datas || !Array.isArray(datas)) continue

    datas.map((item, index) => {
      dataMap && dataMap.set(_apis[index].key, item)
      dataJson[_apis[index].key] = item
    })
  }
  return { dataMap, dataJson }
}

/**
 *
 * @param {*} apis: 延迟
 */
export function apisClassify (apis) {
  console.log('apisClassify: ', apis)
  if (!apis || apis.length < 1) return

  // 马上开始请求的
  const quickApis = []
  // 懒加载请求的
  const lazyApis = []
  apis.map(item => {
    if (item.lazy) lazyApis.push(item)
    else quickApis.push(item)
  })
  return { quickApis, lazyApis }
}

/**
 *
 * @param {*} param0
 */
export async function asyncData (apis) {
  if (!apis || apis.length < 1) return
  try {
    const [...datas] = await Promise.all(
      apis.map(item => {
        if (item.lazy) console.log('load lazy: ', item)
        if (Apis[item.api]) {
          return Apis[item.api](item.options).catch(err => err)
        }
      })
    )
    if (!datas || datas.length < 1) return []
    return datas
  } catch (error) {
    console.log(error)
    return { error }
  }
}
