import PubSub from 'pubsub-js'

const app = {
  state: {
    /**
     * 系统加载过所有的页面配置
     * 1. 每次加载都会记录
     * 2. 记录： 埋点 -- 某一块点击次数，浏览时间
     * 3. 记录： 报错信息
     * 4. 其他
     */
    allGC: {},

    // 当前配置
    currentGC: {},

    // 权限数据
    limit: {

    },

    // 某个页面统一请求时
    asyncMixinConf: {
      baseCode: '_baseGroupContent_'
    }
  },

  mutations: {
    SET_GC (state, gcInfo) {
      state.allGC[gcInfo.uuid] = gcInfo
      PubSub.publish('gp-' + gcInfo.uuid, {
        currentGC: gcInfo
      })
    }
  },

  actions: {
    setGC ({ commit }, gcInfo) {
      if (!gcInfo || !gcInfo.uuid) return
      commit('SET_GP', gcInfo)
    }
  }
}

export default app
