'use strict'
import PubSub from 'pubsub-js'

class Pubsub {
  subscribeOptions = []

  // 订阅
  subscribe (options = {}) {
    const { key } = options
    if (!key) return
    const index = this.subscribeOptions.findIndex(item => item.key === key)
    if (index >= 0) return
    this.subscribeOptions.push({
      key
    })
  }

  // 发布
  publish (options = {}) {
    if (Object.keys(options).length < 1) return
    const { key, data } = options
    if (!key) return
    // 发布
    PubSub.publish(key, data)
  }

  // 取消订阅
  unSubscrib (key) {
    if (!key) {
      this.subscribeOptions.map(item => PubSub.unsubscribe(item.key))
      this.subscribeOptions = []
      return
    }
    const index = this.subscribeOptions.findIndex(item => item.key === key)
    if (index < 0) return
    this.subscribeOptions.splice(index, 1)
    PubSub.unsubscribe(key)
  }
}

export default Pubsub
