import axios from 'axios'

// init
const service = axios.create({
  timeout: 9000
})
// request
service.interceptors.request.use(config => {
  return config
}, error => {
  Promise.reject(error)
})
// response
service.interceptors.response.use(
  (response) => {
    const json = response.data
    return json
  },
  error => {
    return Promise.reject(error)
  })

// ajax entry
const suffix = '' // 后缀
const ajax = function (obj, config) {
  const _suffix = obj.suffix !== undefined ? obj.suffix : suffix
  const url = obj.url + _suffix
  const type = obj.type ? obj.type.toUpperCase() : 'GET'
  const headers = Object.assign({
  }, config || {})
  const params = obj.params
  switch (type) {
    case 'GET': return service.get(url, { params }, headers)
    case 'POST': return service.post(url, params, headers)
    case 'PUT': return service.put(url, params, headers)
    case 'DELETE': return service.delete(url, params, headers)
    default: break
  }
}

export default ajax
