/**
 * 企业 005
 */
import { uuid } from '../../utils'

export default {
  base: {
    title: '企业驾驶舱',
    header: {
      hidden: true
    }
  },
  layoutConf: {
    defaultBg: 'theme-bg@2x.png',
    type: 'grid',
    layout: [
      { x: 0, y: 0, w: 6, h: 5, i: '0' },
      { x: 6, y: 0, w: 3, h: 5, i: '1' },
      { x: 9, y: 0, w: 3, h: 6, i: '3' },
      { x: 12, y: 0, w: 3, h: 5, i: '4' },
      { x: 15, y: 0, w: 3, h: 5, i: '5' },
      { x: 16, y: 5, w: 3, h: 5, i: '6' },
      { x: 11, y: 5, w: 3, h: 5, i: '7' },
      { x: 14, y: 5, w: 3, h: 5, i: '8' },
      { x: 17, y: 3, w: 3, h: 5, i: '9' },
      { x: 19, y: 6, w: 3, h: 5, i: '2' }
    ]
  },
  groupConf: {
    group: [
      {
        base: {},
        header: {
          title: '企业介绍',
          icon: 't1-left-top@2x.png',
          dimensions: [
            { name: '成都', code: 0 },
            { name: '杭州', code: 1 }
          ]
        },
        pubsub: {
          header: {
            key: uuid(),
            pubs: {
              toggleDimension: {
                type: 'toggleDimension',
                key: `${uuid()}-toggle-dimension`
              }
            }
          }
        },
        layout: {
          location: '0',
          minHeight: ''
        },
        anas: [
          {
            hidden: false,
            components: [
              { type: 'slot', slot: '1', _default: true }
            ],
            asyncConf: {
              api: 'asyncConf',
              lazy: true,
              url: '/pcapi/big/thirdscreen/getcompanyintroductionresult',
              params: [{ key: 'companyId', path: 'companyId' }],
              useMock: true,
              mock: {
                data: [
                  { name: '李四', sex: '男', id: '01' },
                  { name: '张三', sex: '男', id: '02' },
                  { name: '王五', sex: '男', id: '03' },
                  { name: '宋六', sex: '男', id: '04' }
                ]
              }
            },
            path: 'data'
          },
          {
            hidden: false,
            components: [
              { type: 'slot', slot: '1', _default: true }
            ],
            asyncConf: {
              api: 'asyncConf',
              lazy: true,
              url: '/pcapi/big/thirdscreen/getcompanyintroductionresult',
              params: [{ key: 'companyId', path: 'companyId' }],
              useMock: true,
              mock: {
                data: [
                  { name: '李四1', sex: '男', id: '01' },
                  { name: '张三2', sex: '男', id: '02' },
                  { name: '王五3', sex: '男', id: '03' },
                  { name: '宋六4', sex: '男', id: '04' }
                ]
              }
            },
            path: 'list'
          }
        ]
      },
      {
        base: {
          code: 'ab002'
        },
        header: {
          title: '投资图谱',
          icon: 't1-left-middle@2x.png'
        },
        layout: {
          location: '1',
          minHeight: ''
        },
        anas: [
          {
            components: [
              { type: 'slot', slot: '2', _default: true }
            ],
            asyncConf: {
              api: 'asyncConf',
              url: 'pcapi/big/thirdscreen/getcompanyinvestmapresult',
              params: [{ key: 'companyId', path: 'companyId' }]
            },
            path: ''
          }
        ]
      },
      {
        base: {
          code: 'ab003'
        },
        header: {
          title: '位置分布',
          icon: 't1-left-bottom@2x.png',
          align: 'right'
        },
        layout: {
          location: '2',
          minHeight: ''
        },
        anas: [
          {
            // component: { slotName: 'ab003' },
            components: [
              { type: 'slot', slot: '3', _default: true }
            ],
            asyncConf: {
              api: 'asyncConf',
              url: 'pcapi/big/thirdscreen/getcompanymiddledownresult',
              params: [{ key: 'companyId', path: 'companyId' }],
              useMock: true,
              mock: {
                data: {
                  establishRatio: 38,
                  revenueRatio: 27,
                  taxRevenueRatio: 35,
                  companyStaffSizeRatio: 42,
                  personEnergyRatio: 30
                }
              }
            },
            path: ''
          }
        ]
      },
      {
        base: {
          code: 'ab004'
        },
        header: {
          title: '知识产权',
          icon: 't1-right-top@2x.png',
          align: 'right'
        },
        layout: {
          location: '3',
          minHeight: ''
        },
        anas: [
          {
            components: [
              { type: 'slot', slot: '4', _default: true }
            ],
            asyncConf: {
              api: 'asyncConf',
              url: 'pcapi/big/thirdscreen/getcompanyknowledgeresult',
              params: [{ key: 'companyId', path: 'companyId' }]
            },
            path: ''
          }
        ]
      },
      {
        base: {
          code: 'ab005'
        },
        header: {
          title: '经济趋势',
          icon: 't1-right-middle@2x.png',
          align: 'right'
        },
        layout: {
          location: '4',
          minHeight: ''
        },
        anas: [
          {
            components: [
              { type: 'slot', slot: '5', _default: true }
            ],
            asyncConf: {
              api: 'asyncConf',
              url: 'pcapi/big/thirdscreen/getcompanytaxrevenuemchartlistresult',
              params: [{ key: 'companyId', path: 'companyId' }]
            },
            path: ''
          }
        ]
      },
      {
        base: {
          code: 'ab006'
        },
        header: {
          title: '预警类型',
          icon: 't1-right-bottom@2x.png',
          align: 'right'
        },
        layout: {
          location: '5',
          minHeight: ''
        },
        anas: [
          {
            components: [
              { type: 'slot', slot: '6', _default: true }
            ],
            asyncConf: {
              api: 'asyncConf',
              url: 'pcapi/big/thirdscreen/getcompanyearlywarnyearresult',
              params: [{ key: 'companyId', path: 'companyId' }]
            },
            path: ''
          }
        ]
      },
      {
        base: {
          code: 'ab007'
        },
        header: {
          title: '人才趋势',
          icon: 't1-right-bottom@2x.png',
          align: 'right'
        },
        layout: {
          location: '6',
          minHeight: ''
        },
        anas: [
          {
            components: [
              { type: 'slot', slot: '7', _default: true }
            ],
            asyncConf: {
              api: 'asyncConf',
              url: 'pcapi/big/thirdscreen/getcompanytalenttraderesult',
              params: [{ key: 'companyId', path: 'companyId' }]
            },
            path: ''
          }
        ]
      },
      {
        base: {
          code: 'ab008'
        },
        header: {
          hidden: true
        },
        layout: {
          location: '7',
          minHeight: ''
        },
        anas: [
          {
            components: [
              { type: 'slot', slot: '8', _default: true }
            ],
            asyncConf: {
              api: 'asyncConf',
              url: '/pcapi/big/thirdscreen/getcompanymiddleupresult',
              params: [{ key: 'companyId', path: 'companyId' }]
            },
            path: ''
          }
        ]
      }
    ]
  }
}
